We just released our native n8n integration!ยป Try now
OnlyFans API

Update Welcome Message

Update the automatic welcome message template that is sent when someone subscribes.

POST
/api/{account}/settings/welcome-message
AuthorizationBearer <token>

Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys

In: header

Path Parameters

account*string

The Account ID

Request Body

application/json

text?string

The welcome message text content. Required unless a media file is present.

lockedText?boolean

Whether the text should be shown or hidden.

price?integer

Price for paid content (0 or between 3-200). In case this is not zero, mediaFiles is required.

mediaFiles?array<file[]|string>

Direct file uploads, OFAPI ofapi_media_ IDs, or OF vault IDs. Will be hidden if price is provided.

previews?array<file[]|string[]|int>

Direct file uploads, OFAPI ofapi_media_ IDs, OF vault IDs, or integer indices referencing uploaded files in mediaFiles. Will be shown if price is provided.

rfTag?string

Array of OnlyFans Creator User IDs to tag in your message.

rfGuest?string

Array of OnlyFans Release Form Guest IDs to tag in your message.

rfPartner?string

Array of OnlyFans Release Form Partners IDs to tag in your message.

isForward?boolean

Response Body

application/json

curl -X POST "https://app.onlyfansapi.com/api/acct_XXXXXXXXXXXXXXX/settings/welcome-message" \  -H "Content-Type: application/json" \  -d '{}'
{
  "data": {
    "id": "12345678901",
    "template": "reply_on_subscribe",
    "text": "<p>Hey, welcome to my profile</p>",
    "displayText": "<p>Hey, welcome to my profile</p>",
    "price": 0,
    "lockedText": false,
    "previews": [],
    "isMediaReady": true,
    "mediaCount": 1,
    "media": [
      {
        "id": 1234567890,
        "type": "photo",
        "convertedToVideo": false,
        "canView": true,
        "hasError": false,
        "createdAt": "2026-04-28T20:44:55+00:00",
        "isReady": true,
        "files": {
          "full": {
            "url": "https://cdn2.onlyfans.com/files/example/full.jpg",
            "width": 549,
            "height": 309,
            "size": 0,
            "sources": []
          },
          "thumb": {
            "url": "https://cdn2.onlyfans.com/files/example/thumb.jpg",
            "width": 300,
            "height": 300,
            "size": 0
          },
          "preview": {
            "url": "https://cdn2.onlyfans.com/files/example/preview.jpg",
            "width": 549,
            "height": 309,
            "size": 0
          },
          "squarePreview": {
            "url": "https://cdn2.onlyfans.com/files/example/square.jpg",
            "width": 960,
            "height": 960,
            "size": 0
          }
        },
        "duration": 0,
        "releaseForms": [],
        "hasCustomPreview": false,
        "videoSources": {
          "240": null,
          "720": null
        }
      }
    ],
    "createdAt": "2026-04-28T20:44:55+00:00",
    "isActive": false,
    "giphyId": null,
    "isCouplePeopleMedia": false,
    "isMarkdownDisabled": true,
    "releaseForms": []
  },
  "_meta": {
    "_credits": {
      "used": 1,
      "balance": 999999968,
      "note": "Always"
    },
    "_cache": {
      "is_cached": false,
      "note": "Cache disabled for this endpoint"
    },
    "_rate_limits": {
      "limit_minute": 10000000,
      "limit_day": 50000,
      "remaining_minute": 9999997,
      "remaining_day": 49969
    }
  }
}